#2632 closed defect (fixed)

rtems-tester failure

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: highest Milestone: 5.1
Component: tool/rsb Version: 4.11
Severity: critical Keywords:
Cc: Blocked By:
Blocking:

Description

CentOS 7 on master

$ ../rtems-tools/tester/rtems-test --rtems-tools=/home/joel/rtems-4.11-work/tools/4.12 --rtems-bsp=sis find . -name "*hello.exe"
RTEMS Testing - Tester, 4.12 (a5d243d3f8e2)

Command Line: ../rtems-tools/tester/rtems-test --rtems-tools=/home/joel/rtems-4.11-work/tools/4.12 --rtems-bsp=sis ./sparc-rtems4.12/c/sis/testsuites/samples/hello/hello.exe
Python: 2.7.5 (default, Nov 20 2015, 02:00:19) [GCC 4.8.5 20150623 (Red Hat 4.8.5-4)]

[1/1] p:0 f:0 t:0 i:0 | sparc/sis: hello.exe
Traceback (most recent call last):

File "../rtems-tools/tester/rtems-test", line 40, in <module>

rt.test.run()

File "/data/home/joel/rtems-4.11-work/rtems-tools/tester/rt/test.py", line 287, in run

tst.reraise()

File "/data/home/joel/rtems-4.11-work/rtems-tools/tester/rt/test.py", line 123, in reraise

raise (self.result[0], self.result[1], self.result[2])

TypeError?: init() takes exactly 2 arguments (1 given)

Change History (3)

comment:1 Changed on Mar 16, 2016 at 6:30:12 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.